%global forgeurl https://github.com/JoseExposito/touchegg

Name:           touchegg
Version:        2.0.12
%global tag     %{version}
%forgemeta
Release:        1%{?dist}
Summary:        Multi-touch gesture recognizer

License:        GPLv3+
URL:            %{forgeurl}
Source0:        %{forgesource}

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(libudev)
BuildRequires:  pkgconfig(libinput)
BuildRequires:  pkgconfig(pugixml)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xtst)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  systemd-rpm-macros
BuildRequires:  %{_bindir}/desktop-file-validate

%description
Touchégg is an app that runs in the background and transform the gestures you
make on your touchpad or touchscreen into visible actions in your desktop.

For example, you can swipe up with 3 fingers to maximize a window or swipe left
with 4 finger to switch to the next desktop.

Many more actions and gestures are available and everything is easily
configurable.


%prep
%forgeautosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%check
desktop-file-validate %{buildroot}%{_sysconfdir}/xdg/autostart/%{name}.desktop


%post
%systemd_post %{name}.service


%preun
%systemd_preun %{name}.service


%postun
%systemd_postun_with_restart %{name}.service


%files
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%{_unitdir}/%{name}.service
%license COPYING COPYRIGHT
%doc README.md CHANGELOG.md


%changelog
* Sun Dec 26 2021 Maxwell G <gotmax@e.email> - 2.0.12-1
- Initial Package
